MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025198Open CASCADE[OCCT] OCCT:Visualizationpublic2014-08-28 18:372014-11-11 12:58
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025198: Draw Harness - add -noupdate option to vsetlocation command
DescriptionOption to prevent re-drawing might be useful to assign locations for many objects at-once.
TagsNo tags attached.
Test case numbersamples/tcl/spheres.tcl
Attached Files

- Relationships
related to 0024705closedbugmaster Draw Harness - add -noupdate option to vdisplay command 
related to 0024837closedbugmaster Visualization - revise design and implementation of connected Interactive Objects 

-  Notes
(0031177)
git (administrator)
2014-08-29 11:49

Branch CR25198 has been created by abv.

SHA-1: c5e05e6ef294db30d883632402ce28c899da42ec


Detailed log of new commits:

Author: abv
Date: Fri Aug 29 11:49:33 2014 +0400

    0025198: Draw Harness - support argument -noupdate to command vsetlocation
    
    Added sample for demonstrating display of multiple objects, evaluating viewer performance, and scene animation
(0031183)
git (administrator)
2014-08-29 12:13

Branch CR25198 has been updated forcibly by abv.

SHA-1: f05f1e357ad3239849c372de65929190ed6f0f5b
(0031611)
git (administrator)
2014-09-11 14:21

Branch CR25198_1 has been created by kgv.

SHA-1: 8bbed00fb26c9e57c16f5b50165ff7ea8b2072c4


Detailed log of new commits:

Author: abv
Date: Thu Sep 11 14:20:25 2014 +0400

    Add sample for demonstrating display of multiple objects, evaluating viewer performance, and scene animation

Author: kgv
Date: Thu Sep 11 14:03:47 2014 +0400

    0025198: Draw Harness - add -noupdate option to vsetlocation command
(0031612)
kgv (developer)
2014-09-11 14:21

Patch is ready for review in branch CR25198_1.
(0031659)
git (administrator)
2014-09-12 13:05

Branch CR25198_1 has been updated by kgv.

SHA-1: 4cb933890596df9b8433a04c727ee68996a317fa


Detailed log of new commits:

Author: kgv
Date: Fri Sep 12 13:05:50 2014 +0400

    cosmetics

(0031670)
apl (developer)
2014-09-12 14:45

Dear Bugmaster,

The branch CR25198_1 is reviewed. Please test.
(0031790)
git (administrator)
2014-09-16 19:36

Branch CR25198_1 has been updated forcibly by mkv.

SHA-1: 283e2a8e6684e8dc1ea8e417fa11ecc1fc40a748
(0031851)
mkv (tester)
2014-09-18 12:42

Dear BugMaster,
Branch CR25198_1 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 283e2a8e6684e8dc1ea8e417fa11ecc1fc40a748

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
samples/tcl/spheres.tcl

Testing on Linux:
occt component :
Total MEMORY difference: 355505032 / 355064004
Total CPU difference: 45166.26999999996 / 45305.74000000016
products component :
Total MEMORY difference: 110052472 / 109993264
Total CPU difference: 18179.75999999995 / 17720.46999999998

Testing on Windows:
occt component :
Total MEMORY difference: 242168960 / 242172840
Total CPU difference: 30328.578125 / 42815.5625
products component :
Total MEMORY difference: 66697560 / 66663044
Total CPU difference: 9825.828125 / 10522.46875

There are no differences in images found by testdiff.
(0032355)
git (administrator)
2014-09-29 23:21

Branch CR25198 has been deleted by kgv.

SHA-1: f05f1e357ad3239849c372de65929190ed6f0f5b
(0032361)
git (administrator)
2014-09-29 23:24

Branch CR25198_1 has been deleted by kgv.

SHA-1: 283e2a8e6684e8dc1ea8e417fa11ecc1fc40a748

- Related Changesets
occt: master 4e18052b
Timestamp: 2014-09-18 11:16:45
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025198: Draw Harness - add -noupdate option to vsetlocation command

Add sample for demonstrating display of multiple objects, evaluating viewer performance, and scene animation

cosmetics
add - samples/tcl/spheres.tcl Diff ] File ]
mod - src/ViewerTest/FILES Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
add - src/ViewerTest/ViewerTest_AutoUpdater.cxx Diff ] File ]
add - src/ViewerTest/ViewerTest_AutoUpdater.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-28 18:37 kgv New Issue
2014-08-28 18:37 kgv Assigned To => kgv
2014-08-28 18:38 kgv Relationship added related to 0024705
2014-08-28 18:38 kgv Assigned To kgv => duv
2014-08-28 18:38 kgv Status new => assigned
2014-08-28 18:38 kgv Relationship added related to 0024837
2014-08-29 11:49 git Note Added: 0031177
2014-08-29 12:13 git Note Added: 0031183
2014-09-03 08:55 kgv Summary Draw Harness - support argument -noupdate to command vsetlocation => Draw Harness - add -noupdate option to vsetlocation command
2014-09-11 14:21 git Note Added: 0031611
2014-09-11 14:21 kgv Note Added: 0031612
2014-09-11 14:21 kgv Assigned To duv => apl
2014-09-11 14:21 kgv Status assigned => resolved
2014-09-12 13:05 git Note Added: 0031659
2014-09-12 14:45 apl Note Added: 0031670
2014-09-12 14:45 apl Assigned To apl => bugmaster
2014-09-12 14:45 apl Status resolved => reviewed
2014-09-15 12:23 bugmaster Assigned To bugmaster => mkv
2014-09-16 19:36 git Note Added: 0031790
2014-09-18 12:42 mkv Note Added: 0031851
2014-09-18 12:43 mkv Test case number => samples/tcl/spheres.tcl
2014-09-18 12:43 mkv Assigned To mkv => bugmaster
2014-09-18 12:43 mkv Status reviewed => tested
2014-09-19 13:42 bugmaster Changeset attached => occt master 4e18052b
2014-09-19 13:42 bugmaster Status tested => verified
2014-09-19 13:42 bugmaster Resolution open => fixed
2014-09-29 23:21 git Note Added: 0032355
2014-09-29 23:24 git Note Added: 0032361
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker